All of lore.kernel.org
 help / color / mirror / Atom feed
From: Leo Yan <leo.yan@linaro.org>
To: lvm-devel@redhat.com
Subject: [PATCH v1 04/17] tests: Add checking for lvmlockd log
Date: Thu,  3 Jun 2021 17:59:12 +0800	[thread overview]
Message-ID: <20210603095925.510302-5-leo.yan@linaro.org> (raw)
In-Reply-To: <20210603095925.510302-1-leo.yan@linaro.org>

Add checking for lvmlockd log, this can be used for the test cases which
are interested in the interaction with lvmlockd.

Signed-off-by: Leo Yan <leo.yan@linaro.org>
---
 test/lib/check.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/test/lib/check.sh b/test/lib/check.sh
index 8493bde83..1f261940a 100644
--- a/test/lib/check.sh
+++ b/test/lib/check.sh
@@ -456,6 +456,11 @@ grep_dmsetup() {
 	grep -q "${@:3}" out || die "Expected output \"" "${@:3}" "\" from dmsetup $1 not found!"
 }
 
+grep_lvmlockd_dump() {
+	lvmlockctl --dump | tee out
+	grep -q "${@:1}" out || die "Expected output \"" "${@:1}" "\" from lvmlockctl --dump not found!"
+}
+
 #set -x
 unset LVM_VALGRIND
 "$@"
-- 
2.25.1



  parent reply	other threads:[~2021-06-03  9:59 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-03  9:59 [PATCH v1 00/17] LVM2: Enable testing for In-Drive-Mutex Leo Yan
2021-06-03  9:59 ` [PATCH v1 01/17] tests: Enable the testing for IDM locking scheme Leo Yan
2021-06-03  9:59 ` [PATCH v1 02/17] tests: Support multiple backing devices Leo Yan
2021-06-03  9:59 ` [PATCH v1 03/17] tests: Cleanup idm context when prepare devices Leo Yan
2021-06-03  9:59 ` Leo Yan [this message]
2021-06-03  9:59 ` [PATCH v1 05/17] tests: stress: Add single thread stress testing Leo Yan
2021-06-03  9:59 ` [PATCH v1 06/17] tests: stress: Add multi-threads stress testing for VG/LV Leo Yan
2021-06-03  9:59 ` [PATCH v1 07/17] tests: stress: Add multi-threads stress testing for PV/VG/LV Leo Yan
2021-06-03  9:59 ` [PATCH v1 08/17] tests: Support idm failure injection Leo Yan
2021-06-03  9:59 ` [PATCH v1 09/17] tests: Add testing for lvmlockd failure Leo Yan
2021-06-03  9:59 ` [PATCH v1 10/17] tests: idm: Add testing for the fabric failure Leo Yan
2021-06-03  9:59 ` [PATCH v1 11/17] tests: idm: Add testing for the fabric failure and timeout Leo Yan
2021-06-03  9:59 ` [PATCH v1 12/17] tests: idm: Add testing for the fabric's half brain failure Leo Yan
2021-06-03  9:59 ` [PATCH v1 13/17] tests: idm: Add testing for IDM lock manager failure Leo Yan
2021-06-03  9:59 ` [PATCH v1 14/17] tests: multi-hosts: Add VG testing Leo Yan
2021-06-03  9:59 ` [PATCH v1 15/17] tests: multi-hosts: Add LV testing Leo Yan
2021-06-03  9:59 ` [PATCH v1 16/17] tests: multi-hosts: Test lease timeout with LV exclusive mode Leo Yan
2021-06-03  9:59 ` [PATCH v1 17/17] tests: multi-hosts: Test lease timeout with LV shareable mode Leo Yan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210603095925.510302-5-leo.yan@linaro.org \
    --to=leo.yan@linaro.org \
    --cc=lvm-devel@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.